@import url('https://fonts.googleapis.com/css2?family=Open+Sans&family=Rock+Salt&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oooh+Baby&family=Tangerine:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Great+Vibes&family=Hammersmith+One&display=swap');

/* .hammersmith-one-regular {
  font-family: "Hammersmith One", sans-serif;
  font-weight: 400;
  font-style: normal;

  font-family: "Great Vibes", cursive;
  font-weight: 400;
  font-style: normal;
} */

/* font-family: 'Open Sans', sans-serif;
font-family: 'Rock Salt', cursive; */
/******* Change Box Model ***************/
*,
*:before,
*:after {
  box-sizing: border-box;
}
:root {
  --bar-width: 20px;
  --bar-height: 4px;
  --hamburger-gap: 4px;
  --hamburger-margin: 8px;
  --animation-timing: 200ms ease-in-out;
  --transform-origin: left center;
  --hamburger-height: calc(var(--bar-height) * 3 + var(--hamburger-gap) * 2);
  --primary-color: #eee1e8;
  --secondary-color: #f177b8;
  --third-color: #4A0E2E;
  --four-color: #000000;
  --five-color: #ffffff;
  
  /* --primary-color: #00698B; */
}

html {
  background-image: url("../images/site/bgchip.jpg");
}
/* main {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
} */

p {
  margin: 0;
}
.welcome  {
  font-family: "Hammersmith One", sans-serif;
  font-size: 80px;
  margin: 0;
}
.welcome-name {
  font-family: "Great Vibes", cursive;
  display: inline-block;
  font-size: 80px;
}
.fdd {
  font-family: "Tangerine", cursive;
  font-size: 80px;
  font-weight: bold;
  /* color: rgb(255, 255, 255); */
  background-color: var(--primary-color);


}
.fdd:hover {
  transition: var(--animation-timing);
  color: rgb(0, 0, 0);
  text-shadow: 1px 1px 2px var(--secondary-color);  
}
body {
  background-color: var(--secondary-color);
  
  margin: auto;
  /* padding: 1em; */
  /* border-style: solid; */
  /* border-color: rgb(29, 190, 190); */
  /* font-family:  'Rock Salt', cursive; */
  font-family: 'Open Sans', sans-serif
}
#wrapper {
  /* padding: 0 2%; */
  display: flex;
  flex-direction: column;
  min-height: 75vh;
  /* width: 850px; */
  margin: auto;
  background-color: var(--primary-color);
  align-items: center;
  justify-content: flex-start;
}
.siteName a {
  font-size: xx-large;
  font-weight: bolder;
  text-decoration: none;
  color: var(--four-color);
  position: absolute;
  z-index: 1;
  top: 20px;
  left: 20px;
  /* display: flex; */
  /* display: none; */
  
}
#top-header .site-bg {
  /* position: absolute; */
  top: -100px;
  left: 0;
  width: 100%;
  height: 400px;
  /* z-index: -1; */
}

#top-header .site-bg img {
  /* background-image: url("../images/site/Calendar.png"); */
  background-size: cover;
  background-position: center;
  color: transparent;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
  display: block;
  border-radius: 0px;
  /* display: none; */
  height: auto;
  width: 100%;
  /* top: -130px; */
  position: relative;
}
#tools {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: flex-end;
}
#tools a{
  text-decoration: none;
  color: var(--primary-color);
  font-weight: bold;
  text-align: center;
  justify-content: center;
  align-items: center;
  margin-top: 1rem;
}
#tools a:hover {
  text-shadow: 1px 1px 2px var(--third-color);
  transition: var(--animation-timing);
  font-weight: bold;
}
header {
  /* font-family: 'Rock Salt', cursive; */
  /* font-family: 'Open Sans', sans-serif; */
  display: flex;
  /* display: block; */
  /* height: 400px; */
  overflow: hidden;
  justify-content: space-between;
  align-items: center;
  /* padding: .5% 1% 0 1%; */
  background-color: var(--primary-color);
}
header img {
  height: 80px;
  border-radius: 50%;

}
.inventory-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: var(--four-color);
}
.inventory-header button, .edit-button {
  background-color: rgb(26, 128, 128);
  color: white;
  border: none;
  padding: .5rem 1rem;
  border-radius: 5px;
  cursor: pointer;
  transition: var(--animation-timing);
}
.edit-button {
  text-decoration: none;
  color: white;
  font-size: small;
  justify-content: center;
  align-self: flex-start;
}
.inventory-header button:hover, .edit-button:hover {
  background-color: rgb(29, 190, 190);
}


/* option1 */
/* nav {
  display: flex;
  position: sticky;
  top: 0;
  z-index: 100;
  width: 100%;
}
nav ul {
  background-color: var(--secondary-color);
  color: var(--primary-color);
}
nav ul{
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  list-style-type: none;
  padding: 10px;
  margin: 0;
} */

/* options 2  */
nav {
  display: flex;
  position: absolute;
  top: 0;
  z-index: 0;
  right: 0;
}
nav ul {
  color: var(--primary-color);
}
nav ul{
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  list-style-type: none;
  padding: 10px;
  margin: 0;
  gap: 2rem;
}
.sidebar {
  background-color: transparent;
}
.sidebar ul li a {
  text-decoration: none;
  position: relative;
  display: inline-block;
  border-radius: 15px;
  color: var(--primary-color);
}
.sidebar ul li a:hover::after, .sidebar ul li a.activetab::after {
  background-color: rgb(29, 190, 190);
  transition: var(--animation-timing);
  color: white;
  transform: scaleX(1);
}


.sidebar ul li a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -3px;
  width: 100%;
  height: 3px;
  border-radius: 5px;
  transform: scaleX(0);
  transition: var(--animation-timing);
  color: white;
}


li a {
  text-decoration: none;
  color: var(--primary-color);
  font-weight: bold;
}
li a:hover {
  color: rgb(255, 255, 255);
  transition: var(--animation-timing);
}
.contact-section ul {
  list-style-type: none;
  padding: 0;
}
.about-section {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: flex-start;
}
.about-image {
  height: 400px;
  padding: 0 1rem;
  margin: auto;
}

#about_message {
  font-family: "open sans", sans-serif;
  white-space: pre-wrap;
  margin-top: 1rem;
  margin-bottom: 1rem;
  line-height: 1.5;
}
.about-image img {
  height: 100%;
  border-radius: 5px;
}
#about_message textarea {
  margin: 10px;
  padding: 0;
}
#updateForm {
  width: 100%;
}
#updateForm > button {
  margin-top: 1rem;
  padding: .5rem 1rem;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: var(--animation-timing);
}
.edit_buttons {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  width: 100%;
}
.about-header, .privacy-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.about-header a, .privacy-header a {
  text-decoration: none;
  color: rgb(255, 255, 255);
  padding: .35rem .35rem;
  border-radius: 5px;
  background-color: var(--secondary-color);
}
.about-header a:hover, .privacy-header a:hover {
  background-color: #333;
  transition: var(--animation-timing);
  color: white;
}
.back-to {
  display: flex;
  gap: .5rem;
}
.back-to form {
  padding: 0;
  background-color: transparent;
  border: none;
  width: auto;
  top: 3px;
}
.back-to button {
  margin-top: 0;
}

 #TechSpecs {
  display: grid;
  grid-template-columns: repeat(2,1fr);
  gap: 5% 3%;
  padding-bottom: 1rem;
}
span > a > span {
  position: relative;
  background-color: #000000;
}
#reviews-list {
  display: grid;
  grid-row: 2/3;
  gap: 20% 0%;
  margin-top: 0;
  padding: 0 5% ;
}
@media only screen and (max-device-width: 2500px) {
  .parallax {
  background-attachment: scroll;
  }
}
#hero .hero-message{
	display: flex;
	flex-direction: column;
	/* justify-content: center; */
	/* justify-content: space-evenly; */
	justify-content: center;
	align-items: center;
	height: 100%;
  position: relative;
  overflow: hidden;
}

/* option1 */

.hero-buttons {
  display: flex;
  gap: 3rem;
  justify-content: center;
  align-items: center;
  color: var(--primary-color);
  flex-wrap: wrap;
}
.hero-buttons a {
  text-decoration: none;
  padding: .5rem 1rem;
  border-radius: 15px;
  background-color: var(--secondary-color);
  color: var(--primary-color);
  min-width: 350px;
}
.hero-buttons a:hover {
  background-color: rgb(29, 190, 190);
  transition: var(--animation-timing);
  color: white;
}

/* option 2 */
/* .hero-buttons {
  position: absolute;
  top: 1%;
  right: 1%;
  display: flex;
  gap: 1rem;
  justify-content: center;
  align-items: center;
  color: var(--primary-color);
  font-size: 1rem;
}
.hero-buttons a {
  text-decoration: none;
  position: relative;
  display: inline-block;
  border-radius: 15px;
  color: var(--primary-color);
}
.hero-buttons a:hover::after {
  background-color: rgb(29, 190, 190);
  transition: var(--animation-timing);
  color: white;
  transform: scaleX(1);
}
.hero-buttons a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -3px;
  width: 100%;
  height: 3px;
  border-radius: 5px;
  transform: scaleX(0);
  transition: var(--animation-timing);
  color: white;
} */


.W6Tqvc .JNpOJd {
  display: none;
}



.parallax {
  position: absolute;
  top: 0px;
  left: 0;
  width: 100%;
  height: 100%;
  background-attachment: scroll;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  z-index: 0;
}
#hero .parallax {
	background-image: url("/images/site/hero2.jpg");
  overflow: hidden;
}
#hero {
	/* display: flex; */
	position: relative;
	height: 70vh;
	text-align: center;
	/* padding: 20px; */
	overflow: hidden;
	color: white;
  /* width: 250vh; */
  /* width: 99.70vw; */
  width: 100vw;
  z-index: 1;
  /* width: 100vw; */
  right: calc(50vw - 50%);
  /* right: 80vw; */
  font-family: "Hammersmith One", sans-serif;
    /* font-family: "Tangerine", cursive; */

  font-size:xx-large;
	/* margin: 20px 0px; */
}
#specs {
  position: absolute;
  background-color: rgba(255, 255, 255, 0.565);
  color: var(--secondary-color);
  font-size:medium;
  top: 10%;
  left: 15%;
  margin: auto;
  width: 23%;
  font-family: var();
}
h3, h2 {
  /* margin: 0; */
  margin-top: 1.5rem;
  margin-bottom: 0;
}
h1 {
  margin-bottom: 0;
}
h3 {
  margin: 0;
}
.sub-topic {
  margin: 5% 0%;
}
#own {
  width: 75%;
  margin-top: 1rem;
  padding-top: 1.5rem;
  transform: translateX(15%);
}
footer {
  margin: auto;
  text-align: center;
  font-size: small;
  color: var(--primary-color);
}
.footer-container {
  background-color: var(--secondary-color);
  padding: 1rem;
}
footer .footer-main {
  padding-top: 0.5rem;
  display: flex;
  justify-content: space-evenly;
  text-align: left;
}
footer a {
  display: block;
  text-decoration: none;
}
footer a:hover {
  color: var(--third-color);
  text-transform: bolder;
  transition: all 0.3s ease-in-out;
  font-weight: bold;
}
.social-media {
  display: flex;
  flex-direction: row;
  margin-top: .5rem;
}
.fb, .ig, .tt {
  margin-right: 1rem;
 opacity: 0.5;
}
.fb:hover, .ig:hover, .tt:hover {
 opacity: .8;
 transition: all 0.5s ease-in-out;
}
.tt svg {
  width: 24px;
  height: 20px;
  padding-top: 5px;
}
.tt svg path {
  fill: var(--secondary-color);
  box-shadow: #4A0E2E 1px 1px 5px;
  
}
.tt {
  background-color: whitesmoke;
  border-radius: 5px;
  height: 24px;
}
.footer-links {
  display: flex;
  flex-direction: column;
}
.footer-links a, .footer-contact a {
  color: var(--primary-color);
}
.copyright p{
  margin-top: 1rem;
  padding-top: 0.5rem;
}
.copyright {
  margin-top: 1rem;
}
.footer-copy {
  margin-top: 2em;
  padding: 1em;
  padding: 0;

}
.classTopBottom {
  height: 1px;
  width: 100%;
  opacity: 70%;
  background: linear-gradient(90deg, rgba(0,0,0,0) 5%, rgba(255, 255, 255, 0.8) 35%, rgb(255, 255, 255) 50%, rgba(255,255,255,0.8) 65% , rgba(0,0,0,0) 95%);
}
.divider {
  /* padding: 10px 0; */
  position: relative;
  margin: 2rem 0;
  height: 2px;
  width: 100vw;
  right: calc(50vw - 50%);
  opacity: 70%;
  /* background: linear-gradient(90deg, rgba(0,0,0,0) 5%, rgba(255, 255, 255, 0.8) 35%, rgb(255, 255, 255) 50%, rgba(255,255,255,0.8) 65% , rgba(0,0,0,0) 95%); */
  background: linear-gradient(90deg, rgba(0,0,0,0) 5%, rgba(218, 52, 132, 0.8) 35%, rgb(218, 52, 132) 50%, rgba(218, 52, 132, 0.8) 65% , rgba(0,0,0,0) 95%);
}
footer p {
  margin: 0px;
}
#inv-display {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  flex-basis:auto;
}
#inv-display li a img {
  height: 125px ;
  max-width: 100vw;
  border-radius: 2%;
}
#inv-display li {
  height: 100%;
  margin: 1rem;
  border: 1px solid black;
  list-style: none;
  border-radius: 2%;
  text-align: center;
}
.namePrice h2 a{
  color: black;
  /* font-size: medium; */
}
hr {
  border: 1px solid black;
}
#details-display {
  display: grid;
  grid-template-columns: repeat(2,.5fr);
}
#details-display img {
  width:100%;
}
#details-display iframe {
  /* width:50%; */
  height: 250px;
  margin: auto;
}
.description {
  padding: 0 4%;
}
.description p {
  margin: 0;
  padding: 0 2%;
}
.description h3 {
  margin-top: 1rem;
}
.bold {
  font-weight: bolder;
}
.bg-color {
  background-color: rgba(128, 128, 128, 0.097);
  padding: 3%;
}
#details-display-error {
  background-color: rgba(127, 255, 212, 0.082);
  padding: .8%;
}
.login-form-container, #add-classification, #add-inventory, #modify-inventory, 
#delete-inventory, #approved-classification, #reject-classification, 
#approved-inventory, #reject-inventory {
  color: var(--four-color);
  display: flex;
  justify-content: center;
  justify-items: center;
}

#modify-inventory {
  max-width: 50vw;
}
.login-form-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  /* max-width: 400px; */
}
form, .update-account #accountUpdate , .update-account #changePassword {
  padding: 2%;
  display: flex;
  justify-items: flex-start;
  flex-direction: column;
  border-radius: 3%;
  font-size: large;
  width: 100%;
}
#accountUpdate, #changePassword {
  padding-top: 20px;
}
#accountUpdate input, #changePassword input {
  padding: 10px 10px ;
}
label, input, button{
  /* padding: 3%; */
  padding: 10px 10px ;
  margin-bottom: 10px;
  border-radius: 2%;
  border: none;
}
span {
  padding: 0;
}
input, textarea {
  width: 100%;
  border-radius: 5px;

}
button, .container #pswdBtn {
  /* padding: 3% 12%; */
  padding: 1rem 1rem;
  color: #00698B;
  background-color: white;
  border-radius: 15px;
}
button:hover, #pswdBtn:hover, #accountUpdate button:hover, #changePassword button:hover {
  cursor:pointer;
  background-color: rgb(153, 171, 182);
  /* color: #00698B; */
  color: #ffffff;
}
.container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}
.container #pswdBtn {
  margin-bottom: 10px;
}
label, #classificasion_id, #classificasion {
  padding-left: 0;
  padding-bottom: 0;
  font-weight: bold;
  margin: 0;
}
button, #no-account {
  margin-top: 4%;
  align-self: center;
}
#sign-up {
  color: white;
}
#pswdBtn {
  align-self: center;
  border: none;
  border-radius: 12px;
  /* padding: 2%; */
  width: 12em;
  text-align: center;
  background-color: white;
  color: #00698B;
  font-size: small;
  cursor: pointer;  /*this line was added */
}
.notice {
  color: #E66912
}
input:required:invalid, input:focus:invalid, textarea:focus:invalid, textarea:required:invalid {
border: 2px solid #e62b12;
}
input:required:valid, textarea:required:valid {
border: 2px solid #00bfff;
}
button:disabled {
  background-color: #a8a9a9e8;
  color: white;
  /* border: 1px solid #218caf; */
}
button:hover:disabled {
  background-color: #00bfffc8;
}
#accountUpdate, #changePassword {
  display: inline-block;
  background-color: white;
  border: none;
}
#accountUpdate button, #changePassword button, #pswdBtn {
  background-color: #fff;
  color: #00698B;
  margin-top: 0;
  /* padding: 3% 12%; */
}
th {
  text-align: left;
}
.sidebar {
  width: 100%;
  /* background-color: var(--secondary-color); */
}
.sidebar ul {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  list-style-type: none;
  padding: 10px;
  margin: 0;
  /* max-width: 100%; */
  max-width: 100%;
}
.sidebar ul li a svg{
  fill: var(--primary-color);
}
.displaycontainerNumber {
  position: absolute;
  display: contents;
  top: 20px;
  /* background-color: sandybrown; */
  padding: .15rem;
  border-radius: 50%;
  /* right: 20px; */
}
.hamburger-menu {
  display: none;
}
.updateForm label {
  padding: 0 0;
}

/* Slideshow container */
#slideshow-container {
  width: 100%;
  /* max-width: 1000px; */
  /* position: relative; */
  margin: auto;
  display: flex;
  justify-content: center;
  align-items: center;
}
.slide-container {
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;

}
.slide-container a img {
  height: 650px;
}


.newest {
  display: flex;
  justify-content: center;
  align-items: center;
}
.newest img {
  height: 250px;
}
/* Hide the images by default */
.mySlides {
  display: none;
}

/* Next & previous buttons */
.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 20px;
  /* color: white; */
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  /* border-radius: 0 3px 3px 0; */
  
  user-select: none;
  color: #fff;
  text-shadow: #00698B 1px 1px 5px;

}

/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
  background-color: rgba(0,0,0,0.8);
  border-radius: 100%;
  color: #fff;
}

/* Caption text */
.text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 5px;
  /* width: 100%; */
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
  /* justify-self: anchor-center; */
  /* width: 100%; */
  background-color: #33333367;
  border-radius: 50px;
  text-shadow: #00698B 1px 1px 5px;

}

/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active, .dot:hover {
  background-color: #717171;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

* {
  box-sizing: border-box;
}

/* Position the image container (needed to position the left and right arrows) */
.slide-container {
  position: relative;
}

/* Hide the images by default */
.mySlides img, .mySlides iframe {
  /* display: none; */
  height: 250px;
}

/* Add a pointer when hovering over the thumbnail images */
.cursor {
  cursor: pointer;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* Container for image text */
.caption-container {
  text-align: center;
  background-color: #222;
  padding: 2px 16px;
  color: white;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Six columns side by side */
.column {
  float: left;
  width: 16.66%;
}

/* Add a transparency effect for thumnbail images */
.demo {
  opacity: 0.6;
}

.active,
.demo:hover {
  opacity: 1;
}
.custom {
  top: 35%;
}
svg {
  /* fill: #ff0000;*/
  stroke-width: 2px; /* Sets the outline width */
  top: 5px;
}

/* favorite button  */
.favorite-button svg path{
  background-color: #fff;
  border-radius: 30%;
}
.favorite-button svg{
  scale: .8; 
}
.favorite-button svg path:hover{
  fill: #ff0000;
  transition: var(--animation-timing);
  stroke-width: 0;
}
.favorite-button:hover {
  animation: pulse 2s infinite;
}
.favorite-button {
  display: flex;
  position: relative;
  top: 0;
  left: -100%;
  z-index: 50;
  margin-bottom: 0;
  padding: 0px;
  opacity: .7;
} 

#inv-display li {
  position: flex;
}
.fav-button-container {
  position: absolute;
  /* top: 5px;
  right: 5px; */
  z-index: 1;
}
.selected {
  fill: #ff0000;
  stroke-width: 0;
}

.menu-items {
  margin-bottom: 1rem;
}
.menu-items h2 {
  margin-bottom: 0.5rem;
}
/* .menu-item a { */
.menu-item  {
  text-decoration: none;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  /* padding-bottom: 1rem; */
  /* padding: 1rem; */
  color: var(--secondary-color);
  background-color: var(--five-color);

  min-width: 400px;
  max-width: 400px;
  max-height: 120px;
  border: 1px solid var(--secondary-color);
  border-radius: 1rem;
  cursor: pointer;
}
.menu-item p {
  align-self: flex-start;
  justify-self: flex-start;
  margin: 0;
  flex-wrap: wrap;
  max-width: 200px;
  /* max-height: 40px; */
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
/* .menu-item a img { */
.menu-item img {
  width: 140px;
  height: 118px;
  /* border-radius: 25%; */
  border-radius: 0 1rem 1rem 0;
  overflow: hidden;

}
.menu-item-name {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: .25rem;
  padding: 0 1rem;
  color: var(--four-color);
}
/* .menu-item-name p {
  text-overflow: hidden;
  white-space: nowrap;
} */


.menu-container {
  display: flex;
  row-gap: 1rem;
  column-gap: 1rem;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;

  flex-wrap: wrap;

}


/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (image) */
/* #expand-container  {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
} */
 .modal-content {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  /* height: auto; */
  border-radius: 5px;
  background-color: var(--primary-color);
  -webkit-animation-name: zoom;
  -webkit-animation-duration: 0.6s;
  animation-name: zoom;
  animation-duration: 0.6s;
}

/* Caption of Modal Image */
#expand-container {
  /* margin: auto; */
  margin: 1rem;
  display: block;
  /* width: 80%; */
  max-width: 700px;
  /* text-align: center; */
  color: var(--secondary-color);
  /* padding: 10px 0; */
  /* height: 150px; */
  /* background-color: rgba(205, 12, 12, 0.8); */
}

/* Add Animation */
/* #expand-container {  
  -webkit-animation-name: zoom;
  -webkit-animation-duration: 0.6s;
  animation-name: zoom;
  animation-duration: 0.6s;
} */
#expand-container img {
  width: 100%;
  height: auto;
  max-width: 700px;
  border-radius: 5px;
}
#expand-container .menu-item-name {
  width: 100%;
  height: auto;
  max-width: 700px;
  border-radius: 5px;
}

@-webkit-keyframes zoom {
  from {transform:scale(0)} 
  to {transform:scale(1)}
}

@keyframes zoom {
  from {transform:scale(0.1)} 
  to {transform:scale(1)}
}

/* The Close Button */
.close {
  position: relative;
  /* top: -600px; */
  left: 0px;
  /* top: calc(50vw - 65%); */
  /* left: calc(50vw + 15%); */
  color: var(--third-color);
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: var(--secondary-color);
  text-decoration: none;
  cursor: pointer;
}

/* Responsive Columns */
@media only screen and (max-width: 700px){
  .menu-item {
    width: 49.99999%;
    /* margin: 6px 0; */
  }
  .modal-content {
    width: 100%;
  }
}

@media only screen and (max-width: 500px){
  .responsive {
    width: 100%;
  }
}

.animaNum {
  animation-name: myAnimation;
  animation-duration: 2s;
  animation-fill-mode: forwards
}
#cateringForm {
  /* background-color: var(--secondary-color); */
  display: flex;
  /* flex-direction: column; */
  justify-content: center;
  /* align-items: center; */
}
#cateringForm div {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  /* align-items: center; */
  gap: .5rem;
}
#cateringForm label {
  display: none;
  font-size: small;
  font-weight: bold;
}

.catering-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.catering-container img {
  width: calc(100% / 2);
  height: auto;
  border-radius: 5px;
}
.wrapper p {
  margin: 0;
  padding: 0 1rem;
}
#loginForm {
  background-color: var(--secondary-color);
  max-width: 500px;
}
#add-inventory {
  color: var(--four-color);
}
#management {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
}
@keyframes myAnimation {
  50% {width: 25px; height: 25px; font-size: 20px; font-weight: bolder;}
}


@keyframes pulse {
  0% { transform: scale(1); }      /* Start: Original size */
  50% { transform: scale(1.05); }   /* Middle: Increase to 150% */
  100% { transform: scale(1); }    /* End: Decrease back to 100% */
}

@keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}
/* Styling for the thumbnail to indicate it's clickable */
.thumbnail {
  cursor: pointer;
  /* max-width: 200px; Adjust size as needed */
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}


/* The Close Button */
/* .close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
  cursor: pointer;
} */

.footer-copy-main {
  display: flex;
  flex-direction: row;
  /* justify-content: space-evenly; */
  gap: 1rem;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}
.event iframe {
  max-width: 1000px;
  width: 100%;
  /* height: 200%; */
  /* display: flex;
  align-items: center;
  justify-content: center; */
  
}
.event {
  max-width: 800px;
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 2rem 0;
}

#menu_most_popular {
  width: fit-content;
}

#categoryList, #menu_image, #menu_most_popular, #menu_name, #menu_price {
  width: fit-content;
}

.current-image-preview img, .current-thumbnail-preview img {
  max-width: 50vw;
  height: auto;
}

@media screen and (max-width: 1200px) {
  .hero-buttons a {
    gap: 1rem;
    min-width: 250px;
  }
}

@media screen and (min-width: 849px) {
  main {
    width: 850px;
    margin: 0 auto;
  }
  .sidebar ul {
    /* max-width: 1179px; */
    margin: 0 auto;
  }
  .site-bg {
    display: block;
    /* width: 300px; */
    height: 300px;
  }
  .hero-buttons a {
    gap: 1rem;
    min-width: 250px;
  }
  .event {
    max-width: 100%;
  }

  
}
@media screen and (max-width: 845px) {
  .prev {
    right: 93%;
  }
  .prev, .next {
    border-radius: 100%;
  }
  .event iframe {
    /* max-width: 100%; */
  }
  #top-header .site-bg img {
    /* height: 280px; */
    /* top: 100px; */
  }
  .menu-container {
    /* max-width: 1179px; */
    justify-content: center;
  }
  .slide-container a img {
    max-width: 100vw ;
    height: auto;
  }
  main {
    /* width: 100%; */
   /* margin: 0 auto; */
  }
  .catering-container {
    max-width: 80vw;
  }
  .catering-container {
    flex-direction: column;
    /* justify-content: center; */
    margin: 0 auto;

  }
  .catering-container img {
    width: 100%;
    height: auto;
  }
  #loginForm {
  background-color: var(--secondary-color);
  width: 500px;
  }
  .latest-items, .calendar-section, .catering-section, .about-sec {
    margin: 1rem;
  }
  .calendar-section h1 {
    max-width: 90vw;
    margin-left: 1rem;
    /* width: 100%; */
    /* height: auto; */
  }
  .fade img {
    max-width: 90vw;
    height: auto;
  }
  .slide-container {
    max-width: 90vw;
    height: 400px;
    overflow: hidden;
    margin: auto;
    /* width: 100%; */
  }
}
@media screen and (max-width: 550px) {
  html {
    background:#fff;
  }
  body {
    background-color:white;
    /* border-radius: 0; */
    width: 100vw;
    /* margin: auto; */
    border-style: none;
    /* padding: .5em; */
  }
  .prev {
    right: 90%;
  }
  .hamburger-menu::before,
  .hamburger-menu::after, 
  .hamburger-menu input {
    content: "";
    width: var(--bar-width);
    height: var(--bar-height);
    background-color: white;
    border-radius: 25px;
    /* transition: all 0.3s ease-in-out; */
    transition: opacity var(--animation-timing), width var(--animation-timing), rotate var(--animation-timing), translate var(--animation-timing), background-color var(--animation-timing);

    /* display: none; */
  }
  .hamburger-menu {
    --x-width: calc((var(--hamburger-height)) * 1.41421356237);
    /* --x-width: calc((var(--hamburger-height)) * 1.2); */
    /* --x-width: calc((var(--hamburger-height)) * 2); */
    display: flex;
    flex-direction: column;
    gap: var(--hamburger-gap);
    /* background: red; */
    /* width: max-content; */
    /* width: var(--x-width); */
    position: relative;
    /* top: 10px; */
    /* right: 10px; */
    /* left: var(--hamburger-margin); */
    z-index: 2;
    cursor: pointer;
  }
  .hamburger-menu input {
    appearance: none;
    padding: 0;
    margin: 0;
    outline: none;
    pointer-events: none;
  }
  .hamburger-menu:has(input:checked)::before {
    rotate: 45deg;
    width: var(--x-width);
    translate: 0 calc((var(--hamburger-height) / 2.5))  ;
  }
  .hamburger-menu:has(input:checked)::after {
    rotate: -45deg;
    width: var(--x-width);
    /* translate: 0 calc((var(--hamburger-height) / -2)  - var(--hamburger-gap) / 2); */
    translate: 0 calc((var(--hamburger-height) / -2.3));
  }
  .hamburger-menu input:checked  {
    /* transform: translateY(14px) rotate(45deg); */
    /* background: rebeccapurple; */
    opacity: 0;
    /* width: 100%; */
    width: 0;
  }
  nav > label {
    padding: 0;
  }
  nav {
  /* overflow: hidden; */
  /* background-color: var(--secondary-color); */
  padding: 10px;
  /* width: 100%; */
  /* align-items: center;
  justify-content: center; */
  /* position: relative; */
}
  .fdd {
    display: none;
  }
  .sidebar {
    /* transform: translateY(-10px); */
    /* transition: opacity 500ms ease-in-out, transform 500ms ease-in-out; */
    /* transition: translate var(--animation-timing); */
    /* translate: -100%; */
    padding-top: calc(var(--hamburger-height) + var(--hamburger-margin) +1rem);
    /* background-color: #333; */
    /* max-width: 20rem; */
    width: 100%;
    /* min-height: 100vh; */
    padding: .5rem ;
    display: none;
    font-size: x-large;
    /* opacity: .5; */
    /* transform: translatey(-100px); */
    transition: opacity 300ms ease-in-out, transform 300ms ease-in-out;
  }
  .sidebar ul {
    flex-direction: column;
    /* transition: translate var(--animation-timing); */
    gap: 1rem;
  }
  .hamburger-menu:has(input:checked) .sidebar ul {

    /* transition: transform 300ms ease-in-out; */
    transform: translate rotate(180deg) ;

  }
  /* .hamburger-menu:has(input:checked) ~ .sidebar { */
  .sidebar:has(~ .hamburger-menu input:checked) {
    /* translate: 0 100ms ease-in-out; */
    /* opacity: 1; */
    display: block;
    /* transform: translatey(0); */
    transition: display block 0s ease-in-out, transform 300ms ease-in-out;
    /* transition: translate 0s ease-in-out; */
    /* align-items: center;
    justify-content: center; */
    /* translate: 2000ms ease-in-out; */

    /* position: fixed;
    top: 0;
    left: 0;
    z-index: 1;
    box-shadow: 2px 2px 10px rgba(0,0,0,0.5); */
  }
  nav:has(.sidebar):has(.hamburger-menu input:checked) {
  background-color: rgba(0, 0, 0, 0.5); /* Example: dim the whole background */
  border-radius: 0 0 0px 10px;
  }
  
  
  #hero img {
    width: 50%;
    max-width: 100vw;
  }
  #specs {
    position: absolute;
    background-color: rgba(255, 255, 255, 0.565);
    color: var(--secondary-color);
    font-size:medium;
    top: 0%;
    left: 0%;
    margin: auto;
    width: 30%;
  }
  h2 {
    font-weight: bolder;
    /* font-size: 1rem; */
  }
   #TechSpecs {
    display: block;
    order: 1;
  }
  #upgrades-grid {
    /* display: flex; */
    /* flex-direction: column; */
    gap: 15px 0%;
    place-items: center;

  }
  #upgrades span {
    width: 90%;
  }
  #upgrades-grid span .upgrade {
    width: 100%;
  }

  #reviews-list {
    gap: 7% 0%;
    margin-top: 0;
    margin-bottom: 12%;
    padding: 0 5% ;
  }
  .sub-topic {
    margin-top: 0;
  }
  #details-display {
    display:flex;
    flex-direction: column;
  }
  .description {
    padding: 0 ;
  }
  .login-form-container {
    grid-template-columns: repeat(1, 1fr);
  }
  form {
    width: 90%;
  }
  .footer-main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: var(--hamburger-margin);
  }
  .catering-container {
    flex-direction: column;
  }
  .catering-container img {
    width: 100vw;
    height: auto;
  }
  #cateringForm {
    width: 100vw;
  }
  .about-section {
    flex-direction: column;
    height: auto;
    width: 100%;
    padding: 0;
  }
  #top-header .site-bg {
    /* display: none; */
    height: 200px;
  }
  .menu-container {
    padding: 0;
    /* width: 100%; */
    height: auto;
    /* max-width: 90vw; */
    /* overflow: hidden; */
  }
  .menu-item {
    min-width: 300px;
    width: 90vw;
    /* max-width: 90vw; */
  }
  .slide-container a img {
  width: 100%;
  height: auto;
  }
  #wrapper {
    padding: 0 2rem;
  }
  .hero-buttons {
    gap: 1rem;
  }
  .menu-item img {
    width: 140px;
    height: 120px;
  }
  .login-form-container {
    width: 90vw;

  }
  #hero {
    overflow: hidden;
    max-width: 100vw;
  }
  main {
    /* overflow: hidden; */
  }
  footer {
    overflow: hidden;
    max-width: 100vw;
  }
  .hero-message h2 {
    font-size: 30px;
  }
  .welcome-name {
    font-size: 65px;
  }
  .hero-buttons a {
    padding: 0;
  }
}

@media screen and (max-width: 390px) {
  .welcome-name{
    font-size: 60px;
  }
  .hero-message h2 {
    font-size: xx-large;
  }
}
